<%@ page language="C#" autoeventwireup="true" inherits="Index, App_Web_qunqcstg" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta charset="utf-8">
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
        name="viewport">
    <title>Login Page</title>
    <script language="javascript" src="js/lockkeys.js" type="text/javascript"></script>
    <script language="javascript" src="js/maxLength.js" type="text/javascript"></script>
    <%--    <link rel="stylesheet" href="css/stylesheet.css" />--%>
    <link rel="shortcut icon" href="Images/favicon.ico" type="image/x-icon" />
    <link rel="icon" href="Images/favicon.ico" type="image/x-icon" />
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <link href="dist/css/login.css" rel="stylesheet" type="text/css">
    <link href="dist/css/fonts.css" rel="stylesheet" type="text/css">
    <link href="dist/css/animate.css" rel="stylesheet" type="text/css">
    <style type="text/css">
        .Valstyle {
            text-align: center;
        }
    </style>
    <script type="text/javascript" language="javascript">
        var MaxLength = "Maximum length is ";
        function MaxLengthh(maxLength) {
            MaxLength = maxLength;
        }
        function Keypress_Event(e) {
            // Here we need not backspace keycode = 8
            if (!e) e = window.event;
            var c = (window.event) ? e.keyCode : e.which;
            if (c == 8) {
                //For IE browsers
                if (window.ActiveXObject) {
                    e.keyCode = 0;
                    return true;
                }
                    //For firefox browsers.
                else if (window.XMLHttpRequest) {
                    return false;
                }
            }
            return true;
        }
    </script>
</head>
<body oncontextmenu="return false" style="top: 0px; left: 0px; margin-top: 0px; margin-left: 0px; margin-right: 0px; margin-bottom: 0px;">
    <div class="container">
        <div id="time-bg">
            <div class="roundcorner">
                <div class="tc-logo animated zoomIn">
                    <img src="dist/img/timecheck-logo.png" class="img-responsive">
                </div>
                <form id="form1" runat="server" autocomplete="off" role="form" class="login-form"
                    defaultbutton="btn_Enter">
                    <ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
                    </ajaxToolkit:ToolkitScriptManager>
                    <div class="form-group">
                        <asp:TextBox onpaste="return true" ID="txt_UserName" runat="server" CssClass="form-control login-un  username-btn"
                            EnableViewState="False" MaxLength="250" onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                            TabIndex="1" ValidationGroup="v1" placeholder="Username"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="reqUsername" runat="server" ErrorMessage="Enter Username"
                            ValidationGroup="v1" SetFocusOnError="true" ControlToValidate="txt_UserName"
                            Display="None"></asp:RequiredFieldValidator>
                        <ajaxToolkit:ValidatorCalloutExtender ID="valUsername" runat="server" TargetControlID="reqUsername"
                            Width="125px">
                        </ajaxToolkit:ValidatorCalloutExtender>
                    </div>
                    <div class="form-group">
                        <asp:TextBox ID="txt_Password" runat="server" class="form-control login-ps password-btn"
                            ValidationGroup="v1" MaxLength="16" onkeypress="return chkMaxLen(event,this,16,MaxLength);"
                            TextMode="Password" TabIndex="2" placeholder="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="reqPassword" runat="server" ErrorMessage="Enter Password"
                            ValidationGroup="v1" ControlToValidate="txt_Password" SetFocusOnError="true"
                            Display="None"></asp:RequiredFieldValidator>
                        <ajaxToolkit:ValidatorCalloutExtender ID="valPassword" runat="server" TargetControlID="reqPassword"
                            Width="125px">
                        </ajaxToolkit:ValidatorCalloutExtender>
                    </div>
                    <button type="button" data-toggle="modal" data-target="#myModal" class="forget-password"
                        onclick="return Clear();" id="btnforgetlink">
                        Forgot Password?</button>
                    <div class="modal fade" id="myModal" role="dialog">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal">
                                        &times;</button>
                                    <h4 class="modal-title">Forgot Password</h4>
                                </div>
                                <script type="text/javascript">
                                    function Clear() {
                                        document.getElementById("<%=txt_EmployeeId.ClientID %>").value = "";
           var labelObj = document.getElementById("<%= lblMessage.ClientID %>");
           labelObj.innerHTML = " ";
           return true;
       }
                                </script>
                                <asp:UpdatePanel runat="server" ID="pnlforgetpwd" UpdateMode="Conditional" ChildrenAsTriggers="true">
                                    <ContentTemplate>
                                        <asp:Panel ID="pnlMain" runat="server" DefaultButton="btn_GetPwd">
                                            <div class="modal-body">
                                                <asp:TextBox onpaste="return true" ID="txt_EmployeeId" runat="server" CssClass="form-control for-empid"
                                                    Style="text-align: left !important;" placeholder="Employee ID" onCut="return false"
                                                    onDrop="return false" onkeypress="return chkMaxLen(event,this,15,MaxLength);"
                                                    ValidationGroup="V2" MaxLength="15"></asp:TextBox>
                                                <asp:RequiredFieldValidator ID="Reqforgetpwd" runat="server" ControlToValidate="txt_EmployeeId"
                                                    ErrorMessage="Enter Employee ID" ValidationGroup="V2" SetFocusOnError="True"
                                                    Display="None"></asp:RequiredFieldValidator>
                                                <ajaxToolkit:ValidatorCalloutExtender ID="Valforgetpwd" runat="server" TargetControlID="Reqforgetpwd"
                                                    Width="181px">
                                                </ajaxToolkit:ValidatorCalloutExtender>
                                                <asp:Button ID="btn_GetPwd" CssClass="btn for-submit" runat="server" OnClick="btn_GetPwd_Click"
                                                    ValidationGroup="V2" />
                                                <br />
                                                <asp:Label ID="lblMessage" runat="server" Style="display: none; color: Red; text-align: left;"> </asp:Label>
                                            </div>
                                        </asp:Panel>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="btn_getpwd" EventName="Click" />
                                    </Triggers>
                                </asp:UpdatePanel>
                            </div>
                        </div>
                    </div>
                    <asp:Button ID="btn_Enter" CssClass="btn btn-default login-button" ValidationGroup="v1"
                        runat="server" OnClick="btn_Enter_Click" TabIndex="3" />
                    <asp:Button ID="btn_Proceed" runat="server" Text="Proceed" Visible="false" CausesValidation="false"
                        CssClass="btn btn-default login-button" OnClick="btn_Proceed_Click" />
                    <div class="rem-btn">
                        <div class="ch-box">
                            <div id="switch2" class="c_switch">
                                <asp:CheckBox ID="Chkrememberme" runat="server" />
                            </div>
                        </div>
                        <div class="rem-me">
                            Remember Me
                        </div>
                    </div>
                    <div class="clearfix">
                    </div>
                </form>
            </div>
        </div>
        <div class="login-bottom animated zoomIn">
            <img src="dist/img/login-bottom.png" class="img-responsive">
        </div>
        <div class="login-ftr">
            Copyright 
            <script>document.write(new Date().getFullYear())</script>
            <a href="http://www.angleritech.com/" target="_blank">ANGLER Technologies</a>
        </div>
        <div class="clearfix">
        </div>
    </div>
    <!-- jQuery 2.1.4 -->
    <script src="plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <!--remember me-->
    <script src="dist/js/jquery-1.12.1.min.js"></script>
    <script src="dist/js/c-switch.js"></script>
    <script src="dist/js/act-switch.js"></script>
    <input type="hidden" id="hdnUserName" runat="server" />
    <input type="hidden" id="hdnNoOfTimes" runat="server" />
</body>
</html>
