﻿<%@ page title="" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Reports_TA_UI_DetailedAttendanceSync, App_Web_vubtcwep" %>

<%@ Register Src="~/UserControls/TA_uc_OrganizationLevels.ascx" TagName="OrganizationLevel"
    TagPrefix="uc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
	<link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
 <![endif]-->
    <script type="text/javascript" src="../bootstrap/js/1.4.3/jquery.min.js"></script>
    <script src="../bootstrap/js/1.8.5/jquery-ui.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#<%= txtEmployeeId.ClientID %>").autocomplete({
                source: function (request, response) {
                    $.getJSON("../AutoCompleteByEmployeeId.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                        term: extractLast(request.term)
                    }, response);
                },
                search: function () {
                    // custom minLength
                    var term = extractLast(this.value);
                    if (term.length < 1) {
                        return false;
                    }
                },
                focus: function () {
                    // prevent value inserted on focus
                    return false;
                },
                select: function (event, ui) {
                    var terms = split(this.value);
                    // remove the current input
                    terms.pop();
                    // add the selected item
                    terms.push(ui.item.value);
                    // add placeholder to get the comma-and-space at the end
                    terms.push("");
                    this.value = terms.join(",");
                    return false;
                }
            });
            function split(val) {
                return val.split(/,\s*/);
            }
            function extractLast(term) {
                return split(term).pop();
            }
        });
            $(function () {
                $("#<%= txtEmployeeName.ClientID %>").autocomplete({
                    source: function (request, response) {
                        $.getJSON("../AutoCompleteByName.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                            term: extractLast(request.term)
                        }, response);
                    },
                    search: function () {
                        // custom minLength
                        var term = extractLast(this.value);
                        if (term.length < 1) {
                            return false;
                        }
                    },
                    focus: function () {
                        // prevent value inserted on focus
                        return false;
                    },
                    select: function (event, ui) {
                        var terms = split(this.value);
                        // remove the current input
                        terms.pop();
                        // add the selected item
                        terms.push(ui.item.value);
                        // add placeholder to get the comma-and-space at the end
                        terms.push("");
                        this.value = terms.join(",");
                        return false;
                    }
                });
                function split(val) {
                    return val.split(/,\s*/);
                }
                function extractLast(term) {
                    return split(term).pop();
                }
            });
                window.onload = function () {
                    PageOnloadDate();
                };
    </script>
    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>
    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>
    <script>
        $(function () {
            $('#ctl00_BodyContentPH_txtFromDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
        });
        $(function () {
            $('#ctl00_BodyContentPH_txtToDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#<%=txtEmployeeId.ClientID%>").autocomplete('../AutoCompleteByEmployeeId.ashx?EmpAutoid=' + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                multiple: true,
                multipleSeparator: ",",
                width: 180,
                highlight: false,
                scroll: true,
                scrollHeight: 300,
                delay: 10
            });
        });
        $(document).ready(function () {
            $("#<%=txtEmployeeName.ClientID%>").autocomplete('../AutoCompleteByName.ashx?EmpAutoid=' + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                multiple: true,
                multipleSeparator: " ,",
                width: 200,
                highlight: false,
                scroll: true,
                scrollHeight: 300,
                delay: 10
            });
        });
        function validateShiftAllocation() {
            return true;
        }
    </script>
    <div class="content-header" id="conHeader" runat="server">
        <h1 style="background-image: url(../dist/img/swipe-icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lblReport" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <asp:UpdatePanel ID="upLeave" runat="server">
            <ContentTemplate>
                <asp:Panel ID="pnlProgress" runat="server" Style="display: none;">
                    <asp:Panel ID="pnlLoading" runat="server" HorizontalAlign="center">
                        <div class="InsideProgressBar">
                            <div class="row" style="margin-top: 10px">
                                <img src="../dist/img/logo-Progress.png" />
                            </div>
                            <div class="row" style="min-width: 280px">
                                <img src="../dist/img/default.gif" style="width: 100px" />
                            </div>
                            <div class="row" style="margin-bottom: 10px">
                                <asp:Label ID="lblLoading" runat="server" ForeColor="black" Style="text-align: center"
                                    Text="Please Wait..." Font-Bold="true" Font-Size="12px" Font-Italic="true" Font-Family="Arial"></asp:Label>
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </asp:Panel>
                </asp:Panel>
                <asp:HiddenField ID="hdnProgress" runat="server" />
                <cc1:ModalPopupExtender ID="popupProgress" runat="server" TargetControlID="hdnProgress"
                    BackgroundCssClass="ModalPopup" PopupControlID="pnlProgress" BehaviorID="popupProgress">
                </cc1:ModalPopupExtender>
            </ContentTemplate>
            <Triggers>
                <asp:PostBackTrigger ControlID="btn_Export" />
                <asp:PostBackTrigger ControlID="btn_View" />
            </Triggers>
        </asp:UpdatePanel>
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                    <div class="inr-fil-text">
                        <asp:Label ID="lblFilter" runat="server" Text="Filters"></asp:Label>
                        <input id="Hidden3" type="hidden" value='<% Response.Write(Convert.ToString(Session["IDateFormat"])); %>' />
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div id="collapseOne">
            <div class="emp-filter">
                <div class="form-horizontal">
                    <div id="divEmployeeDetails" runat="server">
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblEmployeeName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeName" runat="server" CssClass="form-control"
                                    Style="resize: none" TextMode="multiLine"></asp:TextBox>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblEmployeeId" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeId" runat="server" CssClass="form-control"
                                    Style="resize: none" TextMode="multiLine"></asp:TextBox>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblEmpCategory" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlEmpCatagory" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblEmpType" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlEmpType" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblDesignation" runat="server" Text="Designation"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlDesignation" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="All"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblGender" runat="server" Text="Gender"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlGender" runat="server" CssClass="form-control select2">
                                    <asp:ListItem Value="Both" Text="Both"></asp:ListItem>
                                    <asp:ListItem Value="Male" Text="Male"></asp:ListItem>
                                    <asp:ListItem Value="Female" Text="Female"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">
                            <asp:Label ID="lblMonth" Text="Month" runat="server"></asp:Label>
                            <%--<strong><span style="color: red">*</span></strong>--%>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlMonth" runat="server" CssClass="form-control select2" AutoPostBack="true" OnSelectedIndexChanged="ddlMonth_SelectedIndexChanged">
                                <asp:ListItem Value="Select" Text="Select"></asp:ListItem>
                                <asp:ListItem Value="1" Text="January"></asp:ListItem>
                                <asp:ListItem Value="2" Text="February"></asp:ListItem>
                                <asp:ListItem Value="3" Text="March"></asp:ListItem>
                                <asp:ListItem Value="4" Text="April"></asp:ListItem>
                                <asp:ListItem Value="5" Text="May"></asp:ListItem>
                                <asp:ListItem Value="6" Text="June"></asp:ListItem>
                                <asp:ListItem Value="7" Text="July"></asp:ListItem>
                                <asp:ListItem Value="8" Text="August"></asp:ListItem>
                                <asp:ListItem Value="9" Text="September"></asp:ListItem>
                                <asp:ListItem Value="10" Text="October"></asp:ListItem>
                                <asp:ListItem Value="11" Text="November"></asp:ListItem>
                                <asp:ListItem Value="12" Text="December"></asp:ListItem>
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="ddlMonth"
                                Display="None" ErrorMessage="Select Month" InitialValue="Select"></asp:RequiredFieldValidator>
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                            <asp:Label ID="lblYear" Text="Year" runat="server"></asp:Label>
                            <%--<strong><span style="color: red">*</span></strong>--%>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlYear" runat="server" CssClass="form-control select2" AutoPostBack="true" OnSelectedIndexChanged="ddlMonth_SelectedIndexChanged">
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="ddlYear"
                                Display="None" ErrorMessage="Select Year" InitialValue="Select"></asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="clearfix">
                    </div>
                    <div class="row">
                        <div class="row">
                            <div class="line16">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <asp:UpdatePanel ID="upOrgLevel" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <asp:PlaceHolder ID="PlaceHolderDetailedAttendance" runat="server">
                                        <uc:OrganizationLevel ID="ucOrganizationLevel" runat="server" />
                                    </asp:PlaceHolder>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                    <div class="row" id="trView" runat="server">
                        <div class="col-md-5">
                        </div>
                        <div class="col-md-6">
                            <div class="pull-right-button">
                                <asp:LinkButton ID="btn_View" CssClass="btn save-btn fa-eye" runat="server"
                                    OnClick="btn_View_Click" OnClientClick="if(validateShiftAllocation()) $find('popupProgress').show();else return false;" />
                                <asp:LinkButton ID="btn_Export" CssClass="btn save-btn" runat="server" Text="Sync. To Oracle" OnClientClick="if(validateShiftAllocation()) $find('popupProgress').show();else return false;" 
                                    OnClick="btn_Export_Click" Visible="false"/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="row">
                            <div class="line16">
                            </div>
                        </div>
                    </div>
                    <%--<div class="row form-group">
                        <div class="col-md-12">
                            <div class="pull-right-button">
                                <asp:LinkButton ID="btnCustWindow" runat="server" CssClass="btn save-btn fa-folder-open-o"
                                    Visible="false" Text="&nbsp;&nbsp;Field Lists" OnClientClick="ShowHideCustomizationWindow();"></asp:LinkButton>
                                <asp:Label Visible="false" ID="lblmanual" runat="server" Text="WD -  Week Day | WO - Weekly Off | H - Holiday | Spec.OT - Special OT | # - Manual Entry Record"></asp:Label>
                                <asp:LinkButton ID="lnktbnexcel" Visible="false" ToolTip="Excel" CommandName="excel" runat="server" CssClass="btn del-btn fa-file-excel-o" OnClick="btnExport_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkbtnpdf" Visible="false" ToolTip="Pdf" CommandName="pdf" runat="server" CssClass="btn del-btn fa-file-pdf-o" OnClick="btnExport_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnbtnClear" Visible="false" Text="&nbsp;&nbsp;Clear" runat="server" CssClass="btn del-btn" OnClick="lnbtnClear_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkbtnExpand" Visible="false" Text="&nbsp;&nbsp;Expand All Rows" runat="server" CssClass="btn del-btn" OnClientClick="return Expand();">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkbtnCollapse" Visible="false" Text="&nbsp;&nbsp;Collapse All Rows" runat="server" CssClass="btn del-btn" OnClientClick="return Collapse();">
                                </asp:LinkButton>
                            </div>
                        </div>
                    </div>--%>
                    <div class="row form-group">
                        <div class="col-md-12">
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <dxw:ASPxGridView SettingsText-Title="Detailed Attendance Report" ID="gvData" Visible="false" SettingsBehavior-AllowSort="false" ClientInstanceName="gvData" runat="server"
                                        AutoGenerateColumns="True" Width="100%" Settings-HorizontalScrollBarMode="Auto" ViewStateMode="Enabled">
                                        <Columns>
                                            <dxw:GridViewDataTextColumn FieldName="Employee Id" VisibleIndex="0" Caption="Employee Id" Width="90px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEID" Text='<%# Eval("Employee Id") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Employee Name" VisibleIndex="1" Caption="Employee Name" Width="260px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEMPNAME" Text='<%# Eval("Employee Name") %>' runat="server" Style="width: 25%"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Present" VisibleIndex="2" Caption="Present" Width="58px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblPresent" Text='<%# Eval("Present") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Absent" VisibleIndex="3" Caption="Absent" Width="58px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblAbsent" Text='<%# Eval("Absent") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="WeeklyOff" VisibleIndex="4" Caption="Weekly Off" Width="80px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblWeeklyOff" Text='<%# Eval("WeeklyOff") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Holiday" VisibleIndex="5" Caption="Holiday" Width="58px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblHoliday" Text='<%# Eval("Holiday") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>



                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Total Late Days" VisibleIndex="6" Caption="Late Days" Width="110px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotalLateDays" Text='<%# Eval("Total Late Days") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Total Late Hours" VisibleIndex="7" Caption="Late Hours" Width="73px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotalLateHours" Text='<%# Eval("Total Late Hours") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Total Early Exit Days" VisibleIndex="8" Caption="Early Exit Days" Width="140px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotalEarlyExitDays" Text='<%# Eval("Total Early Exit Days") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Total Early Exit Hours" VisibleIndex="9" Caption="Early Exit Hours" Width="108px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotalEarlyExitHours" Text='<%# Eval("Total Early Exit Hours") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Total OT Days" VisibleIndex="10" Caption="Total OT Days" Width="100px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotalOTDays" Text='<%# Eval("Total OT Days") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Total OT Hours" VisibleIndex="11" Caption="OT Hours" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotalOTHours" Text='<%# Eval("Total OT Hours") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Norm OT Hrs" VisibleIndex="12" Caption="Norm OT Hrs" Width="55px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblNormOTHrs" Text='<%# Eval("Norm OT Hrs") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="WeekOff OT Hrs" VisibleIndex="13" Caption="Week Off OT Hrs" Width="110px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblWeekOffOTHrs" Text='<%# Eval("WeekOff OT Hrs") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Holiday OT Hrs" VisibleIndex="14" Caption="Holiday OT Hrs" Width="100px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblHolidayOTHrs" Text='<%# Eval("Holiday OT Hrs") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Others" VisibleIndex="15" Caption="Others" Width="55px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblOthers" Text='<%# Eval("Others") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="Total_HoursWorkInMins" VisibleIndex="16" Caption="Hours Worked" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotal_HoursWorkInMins" Text='<%# Eval("Total_HoursWorkInMins") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="PermissionHours" VisibleIndex="17" Caption="Permission Hours" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblPermissionHours" Text='<%# Eval("PermissionHours") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="PermissionDays" VisibleIndex="18" Caption="Permission Days" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblPermissionDays" Text='<%# Eval("PermissionDays") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="LOPCount" VisibleIndex="19" Caption="LOP" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblLOPCount" Text='<%# Eval("LOPCount") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="PayDays" VisibleIndex="20" Caption="Pay Days" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblPayDays" Text='<%# Eval("PayDays") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="TotalDays" VisibleIndex="21" Caption="Total Days" Width="78px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblTotalDays" Text='<%# Eval("TotalDays") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Month" VisibleIndex="22" Caption="Month" Width="73px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblMonth" Text='<%# Eval("Month") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Field1" VisibleIndex="23" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField1" Text='<%# Eval("Field1") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field2" VisibleIndex="24" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField2" Text='<%# Eval("Field2") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field3" VisibleIndex="25" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField3" Text='<%# Eval("Field3") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field4" VisibleIndex="26" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField4" Text='<%# Eval("Field4") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field5" VisibleIndex="27" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField5" Text='<%# Eval("Field5") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field6" VisibleIndex="28" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField6" Text='<%# Eval("Field6") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field7" VisibleIndex="29" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField7" Text='<%# Eval("Field7") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field8" VisibleIndex="30" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField8" Text='<%# Eval("Field8") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field9" VisibleIndex="31" Width="50px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField9" Text='<%# Eval("Field9") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Field10" VisibleIndex="32" Width="52px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblField10" Text='<%# Eval("Field10") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="10">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="100,200,500,1000,2000" />
                                        </SettingsPager>
                                        <Settings ShowGroupPanel="True" HorizontalScrollBarMode="Auto" ShowFilterRow="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" ShowTitlePanel="true" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsSearchPanel Visible="true" HighlightResults="true" ShowApplyButton="true" ShowClearButton="true" />
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AllowDragDrop="true" AutoExpandAllGroups="True" ColumnResizeMode="Control" />
                                    </dxw:ASPxGridView>
                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxw:ASPxGridViewExporter>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
</asp:Content>
